Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.utils.injac.injacSpacesCreation.exception
Class ConfigException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.esupportail.portal.utils.injac.injacSpacesCreation.exception.ConfigException

All Implemented Interfaces:
  java.io.Serializable

public class ConfigException
extends java.lang.Exception

Author:
  : Thomas BELLEMBOIS date : 29 juin 2004 Exception throwned by the Config class
See Also:
  Serialized Form

Field Summary
`(package private) java.lang.String` | `comment`
`(package private) java.lang.String` | `throwingClass`
`(package private) java.lang.String` | `throwingMethod`

Fields inherited from class java.lang.Exception
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`ConfigException()`
`ConfigException(java.lang.String throwingClass, java.lang.String throwingMethod, java.lang.String comment)`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### throwingClass

    java.lang.String throwingClass

### throwingMethod

    java.lang.String throwingMethod

### comment

    java.lang.String comment

Constructor Detail

### ConfigException

    public ConfigException()

### ConfigException

    public ConfigException(java.lang.String throwingClass,
                           java.lang.String throwingMethod,
                           java.lang.String comment)

Method Detail

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD